# Uses of Interface
org.eclipse.ecf.discovery.identity.IServiceID

Packages that use IServiceID
Package
Description
org.eclipse.ecf.discovery
org.eclipse.ecf.discovery.identity
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.jslp.identity
org.eclipse.ecf.provider.zookeeper.core

## Uses of IServiceID in org.eclipse.ecf.discovery

Fields in org.eclipse.ecf.discovery declared as IServiceID
Modifier and Type
Field
Description
`protected IServiceID`
ServiceInfo.`serviceID`
Methods in org.eclipse.ecf.discovery that return IServiceID
Modifier and Type
Method
Description
`IServiceID`
IServiceInfo.`getServiceID()`
Get ServiceID for service.
`IServiceID`
ServiceInfo.`getServiceID()`
Methods in org.eclipse.ecf.discovery with parameters of type IServiceID
Modifier and Type
Method
Description
`org.eclipse.equinox.concurrent.future.IFuture`
AbstractDiscoveryContainerAdapter.`getAsyncServiceInfo(IServiceID service)`
`org.eclipse.equinox.concurrent.future.IFuture`
IDiscoveryLocator.`getAsyncServiceInfo(IServiceID aServiceID)`
Asynchronously retrieve info about the service
`IServiceInfo`
IDiscoveryLocator.`getServiceInfo(IServiceID aServiceID)`
Synchronously retrieve info about the service

## Uses of IServiceID in org.eclipse.ecf.discovery.identity

Classes in org.eclipse.ecf.discovery.identity that implement IServiceID
Modifier and Type
Class
Description
`class`
`ServiceID`
Service identity type.

## Uses of IServiceID in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IServiceID
Modifier and Type
Method
Description
`IServiceID`
EndpointDescriptionLocator.`getNetworkDiscoveredServiceID(EndpointDescription endpointDescription)`
`IServiceID`
IEndpointDescriptionLocator.`getNetworkDiscoveredServiceID(EndpointDescription endpointDescription)`
Get the service ID associated with the given endpoint description.
`IServiceID`
DiscoveredEndpointDescription.`getServiceID()`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IServiceID
Modifier and Type
Method
Description
`DiscoveredEndpointDescription`
DiscoveredEndpointDescriptionFactory.`removeDiscoveredEndpointDescription(IDiscoveryLocator locator, IServiceID serviceID)`
`DiscoveredEndpointDescription`
IDiscoveredEndpointDescriptionFactory.`removeDiscoveredEndpointDescription(IDiscoveryLocator locator, IServiceID serviceID)`
Remove an EndpointDescription for a previously discovered remote service.
Constructors in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IServiceID
Modifier
Constructor
Description
``
`DiscoveredEndpointDescription(Namespace discoveryLocatorNamespace, IServiceID serviceID, EndpointDescription endpointDescription)`

## Uses of IServiceID in org.eclipse.ecf.provider.dnssd

Classes in org.eclipse.ecf.provider.dnssd that implement IServiceID
Modifier and Type
Class
Description
`class`
`DnsSdServiceID`
Methods in org.eclipse.ecf.provider.dnssd with parameters of type IServiceID
Modifier and Type
Method
Description
`IServiceInfo`
DnsSdDiscoveryContainerAdapter.`getServiceInfo(IServiceID aServiceId)`
`IServiceInfo`
DnsSdDiscoveryLocator.`getServiceInfo(IServiceID aServiceId)`

## Uses of IServiceID in org.eclipse.ecf.provider.jslp.container

Methods in org.eclipse.ecf.provider.jslp.container with parameters of type IServiceID
Modifier and Type
Method
Description
`IServiceInfo`
JSLPDiscoveryContainer.`getServiceInfo(IServiceID service)`

## Uses of IServiceID in org.eclipse.ecf.provider.jslp.identity

Classes in org.eclipse.ecf.provider.jslp.identity that implement IServiceID
Modifier and Type
Class
Description
`class`
`JSLPServiceID`

## Uses of IServiceID in org.eclipse.ecf.provider.zookeeper.core

Classes in org.eclipse.ecf.provider.zookeeper.core that implement IServiceID
Modifier and Type
Class
Description
`class`
`ZooDiscoveryServiceID`
Methods in org.eclipse.ecf.provider.zookeeper.core that return IServiceID
Modifier and Type
Method
Description
`IServiceID`
AdvertisedService.`getServiceID()`
Methods in org.eclipse.ecf.provider.zookeeper.core with parameters of type IServiceID
Modifier and Type
Method
Description
`IServiceInfo`
ZooDiscoveryContainer.`getServiceInfo(IServiceID serviceID)`